Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.exceptions.verification.junit
Class ArgumentsAreDifferent

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  junit.framework.AssertionFailedError
                      junit.framework.ComparisonFailure
                          org.mockito.exceptions.verification.junit.ArgumentsAreDifferent

All Implemented Interfaces:
  java.io.Serializable

    public class ArgumentsAreDifferent

extends junit.framework.ComparisonFailure

See Also:
  Serialized Form

Constructor Summary
`ArgumentsAreDifferent(java.lang.String message, java.lang.String wanted, java.lang.String actual)`

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.StackTraceElement[]` | `getUnfilteredStackTrace()`
`java.lang.String` | `toString()`

Methods inherited from class junit.framework.ComparisonFailure
`getActual, getExpected`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArgumentsAreDifferent

    public ArgumentsAreDifferent(java.lang.String message,
                                 java.lang.String wanted,
                                 java.lang.String actual)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `junit.framework.ComparisonFailure`

### getUnfilteredStackTrace

    public java.lang.StackTraceElement[] getUnfilteredStackTrace()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD